import { AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class InputComponent implements OnInit, AfterViewInit, ControlValueAccessor {
    private elRef;
    private renderer;
    class: string;
    containerClass: string;
    labelClass: string;
    id: string;
    style: string;
    label: string;
    hint: string;
    type: string;
    material: boolean;
    background: boolean;
    disabled: boolean;
    name: string;
    required: boolean;
    rows: number;
    cols: number;
    value: number | string | boolean;
    size: string;
    group: boolean;
    containerId: string;
    labelId: string;
    icon: string;
    iconBrand: boolean;
    iconLight: boolean;
    iconRegular: boolean;
    inputContainer: ElementRef;
    input: ElementRef;
    inputLabel: ElementRef;
    /****** Input States ******/
    isFocused: boolean;
    isPristine: boolean;
    isDirty: boolean;
    /**** Input States End *****/
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onFocus(input: any): void;
    onChange: (value: string) => void;
    onTouched: () => void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    onBlur(input: any): void;
    inputChange(input: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputComponent, "CDBInput", never, { "class": "class"; "containerClass": "containerClass"; "labelClass": "labelClass"; "id": "id"; "style": "style"; "label": "label"; "hint": "hint"; "type": "type"; "material": "material"; "background": "background"; "disabled": "disabled"; "name": "name"; "required": "required"; "rows": "rows"; "cols": "cols"; "value": "value"; "size": "size"; "group": "group"; "containerId": "containerId"; "labelId": "labelId"; "icon": "icon"; "iconBrand": "iconBrand"; "iconLight": "iconLight"; "iconRegular": "iconRegular"; }, {}, never, [".input-group-prepend", ".input-group-append"], false, never>;
}
